### R code from vignette source 'wam.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: wam_setup
###################################################
library(wam);


###################################################
### code chunk number 2: wam_specificities
###################################################
plot(wam.loglikelihood(61449, 7896, 296, 0:296), type="l", xlab="k", ylab="specificities", main="Log likelihood", sub="N=61449, n=7896, K=296")


###################################################
### code chunk number 3: wam_specificities_fig
###################################################
plot(wam.specificities(61449, 7896, 296, 0:296, method="base"), type="l", xlab="k", ylab="specificities", main="Specificities indicateur", sub="N=61449, n=7896, K=296")


###################################################
### code chunk number 4: wam_specificities_log
###################################################
plot(wam.specificities(61449, 7896, 296, 0:296, method="log"), type="l", xlab="k", ylab="specificities", main="Specificities indicateur (log)", sub="N=61449, n=7896, K=296")


###################################################
### code chunk number 5: wam_distribution
###################################################
#library(rcqp);
#c <- corpus("DICKENS");
#x <- cqp_ftable(c, "book", "lemma");
#z <- cast(x, lemma~book, fun.aggregate=sum, value="freq")
#F <- rowSums(z);
#
##N <- sum(x$freq);
##f <- x[x[,1] == "1", "freq"];
##l <- x[x[,1] == "1", "lemma"];
##n <- sum(f);
##F <- rowSums(x);
#s <- wam.specificities(sum(F), sum(z[1]), F, x[1])
#hist(s, breaks=100);


